Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 473)
+++ admin/auth.php	(revision 550)
@@ -334,9 +334,9 @@
 	echo
 	'<fieldset><legend>'.__('Request a new password').'</legend>'.
-	'<p><label for="user_id">'.__('Username:').' '.
-	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</label></p>'.
-	
-	'<p><label for="user_email">'.__('Email:').' '.
-	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email)).'</label></p>'.
+	'<p><label for="user_id">'.__('Username:').'</label> '.
+	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</p>'.
+	
+	'<p><label for="user_email">'.__('Email:').'</label> '.
+	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email)).'</p>'.
 	
 	'<p><input type="submit" value="'.__('recover').'" />'.
@@ -351,9 +351,9 @@
 	echo
 	'<fieldset><legend>'.__('Change your password').'</legend>'.
-	'<p><label for="new_pwd">'.__('New password:').' '.
-	form::password(array('new_pwd','new_pwd'),20,255).'</label></p>'.
-	
-	'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
-	form::password(array('new_pwd_c','new_pwd_c'),20,255).'</label></p>'.
+	'<p><label for="new_pwd">'.__('New password:').'</label> '.
+	form::password(array('new_pwd','new_pwd'),20,255).'</p>'.
+	
+	'<p><label for="new_pwd_c">'.__('Confirm password:').'</label> '.
+	form::password(array('new_pwd_c','new_pwd_c'),20,255).'</p>'.
 	'</fielset>'.
 	
@@ -369,7 +369,6 @@
 	else
 	{
-		echo
-		'<fieldset>';
 		if ($safe_mode) {
+			echo '<fieldset>';
 			echo '<legend>'.__('Safe mode login').'</legend>';
 			echo 
@@ -379,13 +378,18 @@
 				'</p>';
 		}
+		else {
+			echo '<div class="fieldset">';
+		}
+
 		echo
-		'<p><label for="user_id">'.__('Username:').' '.
-		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</label></p>'.
-		
-		'<p><label for="user_pwd">'.__('Password:').' '.
-		form::password(array('user_pwd','user_pwd'),20,255).'</label></p>'.
-		
-		'<p><label for="user_remember" class="classic">'.
-		form::checkbox(array('user_remember','user_remember'),1).' '.
+		'<p><label for="user_id">'.__('Username:').'</label> '.
+		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</p>'.
+		
+		'<p><label for="user_pwd">'.__('Password:').'</label> '.
+		form::password(array('user_pwd','user_pwd'),20,255).'</p>'.
+		
+		'<p>'.
+		form::checkbox(array('user_remember','user_remember'),1).
+		'<label for="user_remember" class="classic">'.
 		__('Remember my ID on this computer').'</label></p>'.
 		
@@ -396,9 +400,12 @@
 		}
 		if($safe_mode) {
-			echo form::hidden('safe_mode',1);
-		}
-		
+			echo 
+			form::hidden('safe_mode',1).
+			'</fieldset>';
+		}
+		else {
+			echo '</div>';
+		}
 		echo
-		'</fieldset>'.
 		'<p id="cookie_help" class="error">'.__('You must accept cookies in order to use the private area.').'</p>';
 
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 500)
+++ admin/blog.php	(revision 565)
@@ -72,7 +72,6 @@
 	'<h2><a href="blogs.php">'.__('Blogs').'</a> &rsaquo; <span class="page-title">'.__('New blog').'</span></h2>'.
 	
-	'<form action="blog.php" method="post" id="blog-form">'.
+	'<form action="blog.php" method="post" id="blog-form" class="fieldset">'.
 	
-	'<fieldset><legend>'.__('Blog details').'</legend>'.
 	$core->formNonce().
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
@@ -89,7 +88,6 @@
 	'<p class="area"><label for="blog_desc">'.__('Blog description:').'</label> '.
 	form::textarea('blog_desc',60,5,html::escapeHTML($blog_desc)).'</p>'.
-	'</fieldset>'.
 	
-	'<p><input type="submit" accesskey="s" value="'.__('Save').'" /></p>'.
+	'<p><input type="submit" accesskey="s" value="'.__('Create').'" /></p>'.
 	'</form>';
 
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 500)
+++ admin/blog_pref.php	(revision 557)
@@ -528,5 +528,5 @@
 					echo
 					' - <a href="permissions.php?blog_id[]='.$blog_id.'&amp;user_id[]='.$k.'">'
-					.__('change permissions').'</a>';
+					.__('Change permissions').'</a>';
 				}
 				
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 500)
+++ admin/blog_theme.php	(revision 635)
@@ -194,5 +194,5 @@
 	'<div class="theme-actions">';
 		if ($current && $has_conf) {
-			$res .= '<p><a href="blog_theme.php?conf=1" class="button">'.__('Theme configuration').'</a></p>';
+			$res .= '<p><a href="blog_theme.php?conf=1" class="button">'.__('Configure theme').'</a></p>';
 		}
 		if ($current) {
@@ -269,8 +269,8 @@
 	'<div class="two-cols clear" id="themes-actions">'.
 	$core->formNonce().
-	'<p class="col"><input type="submit" name="select" value="'.__('use selected theme').'" /></p>';
+	'<p class="col"><input type="submit" name="select" value="'.__('Use selected theme').'" /></p>';
 	
 	if ($can_install) {
-		echo '<p class="col right"><input type="submit" class="delete" name="remove" value="'.__('delete selected theme').'" /></p>';
+		echo '<p class="col right"><input type="submit" class="delete" name="remove" value="'.__('Delete selected theme').'" /></p>';
 	}
 	
@@ -331,4 +331,5 @@
 {
 	$theme_name = $core->themes->moduleInfo($core->blog->settings->system->theme,'name');
+	$core->themes->loadModuleL10Nresources($core->blog->settings->system->theme,$_lang);
 	echo
 	'<h2>'.html::escapeHTML($core->blog->name).
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 500)
+++ admin/categories.php	(revision 560)
@@ -131,10 +131,10 @@
 while ($rs->fetch()) {
 	echo '<option value="'.$rs->cat_id.'">'.
-		str_repeat('&nbsp;&nbsp;',$rs->level-1).($categories->level-1 == 0 ? '' : '&bull; ').
+		str_repeat('&nbsp;&nbsp;',$rs->level-1).($rs->level-1 == 0 ? '' : '&bull; ').
 		html::escapeHTML($rs->cat_title).'</option>';
 }
 echo
 '</select></label></p>'.
-'<p><input type="submit" value="'.__('Save').'" /></p>'.
+'<p><input type="submit" value="'.__('Create').'" /></p>'.
 $core->formNonce().
 '</fieldset>'.
@@ -167,5 +167,5 @@
 		'<p><label for="del_cat">'.__('Choose a category to remove:').' '.
 		form::combo('del_cat',$deletable).'</label></p> '.
-		'<p><input type="submit" value="'.__('ok').'" /></p>'.
+		'<p><input type="submit" value="'.__('Delete').'" class="delete" /></p>'.
 		$core->formNonce().
 		'</fieldset>'.
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 510)
+++ admin/index.php	(revision 536)
@@ -313,5 +313,5 @@
 		'<h3>'.__('Quick entry').'</h3>'.
 		'<form id="quick-entry" action="post.php" method="post">'.
-		'<fieldset>'.
+		'<fieldset><legend>'.__('New entry').'</legend>'.
 		'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
 		form::field('post_title',20,255,'','maximal').
@@ -325,5 +325,5 @@
 		'<p><input type="submit" value="'.__('Save').'" name="save" /> '.
 		($core->auth->check('publish',$core->blog->id)
-			? '<input type="hidden" value="'.__('save and publish').'" name="save-publish" />'
+			? '<input type="hidden" value="'.__('Save and publish').'" name="save-publish" />'
 			: '').
 		$core->formNonce().
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 473)
+++ admin/install/index.php	(revision 557)
@@ -337,5 +337,5 @@
 	'</fieldset>'.
 	
-	'<p><input type="submit" value="'.__('save').'" /></p>'.
+	'<p><input type="submit" value="'.__('Save').'" /></p>'.
 	'</form>';
 }
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 473)
+++ admin/install/wizard.php	(revision 557)
@@ -182,5 +182,5 @@
 form::field('DBPREFIX',30,255,html::escapeHTML($DBPREFIX)).'</label></p>'.
 
-'<p><input type="submit" value="'.__('Save').'" /></p>'.
+'<p><input type="submit" value="'.__('Continue').'" /></p>'.
 '</form>';
 ?>
Index: admin/js/_users.js
===================================================================
--- admin/js/_users.js	(revision 0)
+++ admin/js/_users.js	(revision 548)
@@ -20,6 +20,8 @@
 			for (i=0; i<user_ids.length; i++) {
 				if (nb_posts[i] > 0) {
-					user_ids[i].checked = false;
-					msg_cannot_delete = true;
+					if (user_ids[i].checked == true) {
+						msg_cannot_delete = true;
+						user_ids[i].checked = false;
+					}
 				}
 			}
Index: admin/js/jquery/jquery.candyUpload.js
===================================================================
--- admin/js/jquery/jquery.candyUpload.js	(revision 3)
+++ admin/js/jquery/jquery.candyUpload.js	(revision 536)
@@ -501,5 +501,5 @@
 			
 			var size = this.formatSize(upldr.params.file_size_limit);
-			$('<div class="cu-maxsize">' + this.locales.max_file_size + ' ' + size + '</div>').appendTo(this.ctrl.block);
+			$('<p class="cu-maxsize form-note info">' + this.locales.max_file_size + ' ' + size + '</p>').appendTo(this.ctrl.block);
 		},
 		
@@ -553,5 +553,5 @@
 					'<div class="cu-fileinfo"><span class="cu-filename">' + o.name + '</span> ' + 
 					'<span class="cu-filesize">(' + this.formatSize(o.size) + ')</span> ' +
-					'<span class="cu-filecancel"><a href="#">cancel</a></span> ' +
+					'<span class="cu-filecancel"><a href="#">cancel</a> </span> ' +
 					'<span class="cu-filemsg"></span>' +
 					'</div>');
